# include<stdio.h>
# include<math.h>
# include<stdlib.h>

/*Produit vectoriel*/
void prodvect(struct vect *p1,struct vect  *p2,struct vect *p3)
	{
	p3->x=(p1->y*p2->z)-(p1->z*p2->y);
	p3->y=(p1->z*p2->x)-(p1->x*p2->z) ;
	p3->z=(p1->x*p2->y)-(p1->y*p2->x);
	}

/*produit scalaire*/
double scal(struct vect *v1,struct vect *v2)
	{
	double pscal=0;
	pscal=(v1->x*v2->x)+(v1->y*v2->y)+(v1->z*v2->z);
	return(pscal);
	}

/*somme de 2 vecteurs*/
void somvect(struct vect *v1,struct vect *v2,struct vect *v3)
	{
	v3->x=(v1->x+v2->x);
	v3->y=(v1->y+v2->y);
	v3->z=(v1->z+v2->z);
	}

/*somme de 3 vecteur*/
void som2vect(struct vect *v1,struct vect *v2,struct vect *v3,struct vect *v4)
	{
	v4->x=(v1->x+v2->x+v3->x);
	v4->y=(v1->y+v2->y+v3->y);
	v4->z=(v1->z+v2->z+v3->z);
	}

/*Calcul de la norme d'un vecteur*/
double norme(struct vect *v1)
	{
	double nor;
	 nor=sqrt((v1->x*v1->x)+(v1->y*v1->y)+(v1->z*v1->z));
	 return(nor);
	}

/*Produit d'un vecteur par un scalaire*/
void scalvect(double r,struct vect *v1,struct vect *v2)
	{
	v2->x=(r*v1->x);
	v2->y=(r*v1->y);
	v2->z=(r*v1->z);
	}

/*Affichage des coordonnes d'un vecteur*/
void affich(struct vect *v1)
	{
	printf(" c.1= %-12.3lf ",v1->x);
	printf(" c.2= %-12.3lf ",v1->y);
	printf(" c.3= %-12.3lf ",v1->z);
	printf("\n\n");
	}
